﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace InfragisticsHierarchicalGrid2
{
    public partial class WebUserControl2 : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        private void BindGrid()
        {
            DataTable productFamily = new DataTable("ProductFamily");
            productFamily.Columns.Add("PRODUCT_FAMILY_DESCRIPTION");
            productFamily.Columns.Add("PRODUCT_FAMILY_ID");
            productFamily.Columns.Add("PROJECT_ID");
            productFamily.Rows.Add("productdesc1", 1);
            productFamily.Rows.Add("productdesc1", 2);
            productFamily.Rows.Add("productdesc1", 3);
            productFamily.Rows.Add("productdesc1", 4);

            DataTable project = new DataTable("Project");
            project.Columns.Add("ARCHITECTURE_YEAR");
            project.Columns.Add("PROJECT_NAME");
            project.Columns.Add("PROJECT_STATUS_DESCRIPTION");
            project.Columns.Add("PROJECT_ID");
            project.Columns.Add("PRODUCT_FAMILY_ID");
            project.Rows.Add("2010", "project1", "finished", 1, 1);
            project.Rows.Add("2010", "project2", "finished", 2, 1);
            project.Rows.Add("2009", "project3", "progress", 3, 2);
            project.Rows.Add("2010", "project4", "progress", 4, 2);
            project.Rows.Add("2010", "project5", "finished", 5, 3);
            project.Rows.Add("2009", "project6", "progress", 6, 3);
            project.Rows.Add("2009", "project5", "finished", 7, 4);

            DataSet ds = new DataSet();
            ds.Tables.Add(productFamily);
            ds.Tables.Add(project);
            DataRelation rel = new DataRelation("FamToPro", ds.Tables["ProductFamily"].Columns["PRODUCT_FAMILY_ID"], ds.Tables["Project"].Columns["PRODUCT_FAMILY_ID"]);
            ds.Relations.Add(rel);

            ProjectWebHierarchicalDataGrid.DataSource = ds;
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            BindGrid();
        }
    }
}